{% extends 'base.html' %}


{% load static %}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
{% block title %}Post_list{% endblock %}

<link rel="stylesheet" type="text/css" href="{% static 'css/post_css/style_post.css' %}?ver=2">
{% block title_page %}{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-9">
            <div style="background-color: navajowhite">
                <header style="text-align: center;"><h2 style="font-family: Storybook,sans-serif;color: red">Post
                    Pitici</h2>
                </header>

                {% for post in list_postes %}
                    <div>
                        <style>
                            .card-horizontal {
                                display: flex;
                                flex: 1 1 auto;
                            }
                        </style>
                        <div class="container-fluid">
                            <div class="row" style="background-color: navajowhite">
                                <div class="col-12 mt-3">
                                    <div class="card">
                                        <div class="card-horizontal" style="background-color: #1d1919">
                                            <div class="img-square-wrapper">
                                                {% if post.pic.url is not null %}
                                                    <div style="width: 400px; height: 200px">
                                                        <img style="height: 100%; width: 100%" src="{{ post.pic.url }}"
                                                             alt="Image post">
                                                    </div>
                                                {% endif %}
                                            </div>
                                            <div class="card-body">
                                                <h3 class="card-title"
                                                    style="color: red;font-family: Storybook,sans-serif">{{ post.title }}</h3>
                                                <p class="card-text" style="color: navajowhite"><strong
                                                        style="color: red">Short
                                                    Description
                                                    >>></strong> {{ post.description }}</p>

                                                <h4 style="color: navajowhite"><strong style="color: red">Author
                                                    >>></strong> {{ post.user_name }}</h4>
                                                <div align="right">
                                                    <p style="color: navajowhite"><strong style="color: red">Date of
                                                        post
                                                        >>></strong> {{ post.pub_date }}</p></div>
                                            </div>
                                        </div>
                                        <div class="card-footer" style="background-color: #7f7f7f">
                                            <small style="color: navajowhite"><b>Tags: {{ post.tags }}</b></small>
                                            &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                                            &nbsp
                                            &nbsp &nbsp
                                            &nbsp
                                            &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                                            &nbsp
                                            &nbsp &nbsp
                                            &nbsp
                                            &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                                            <a class="btn btn-primary" href="{% url 'post_pitic' pk=post.pk %}" role="button"
                                               style="background-color: navajowhite;color: red;
                                            text-shadow: 1px 1px blue">Read</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="col-3" style="background-color: navajowhite">
            <div style="background-color: navajowhite">
                <header style="text-align: center;"><h2 style="font-family: Storybook,sans-serif;color: red">Top
                    Post</h2>
                </header>
            </div>
            <br>
            <div class="card" style="width: 18rem;background-color: #1d1919 ">
                {% if post.pic.url is not null %}
                    <div style="width: 400px; height: 200px">
                        <img style="height: 100%; width: 100%" src="{{ post.pic.url }}" class="card-img-top"
                             alt="Post Image">
                    </div>
                {% endif %}
                <div class="card-body">
                    <h3 class="card-title"
                        style="color: red;font-family: Storybook,sans-serif">{{ post.title }}</h3>
                    <p class="card-text" style="color: navajowhite"><strong style="color: red">Short
                        Description
                        >>></strong> {{ post.description }}</p>

                    <h4 style="color: navajowhite"><strong style="color: red">Author
                        >>></strong> {{ post.user_name }}</h4>
                    <div align="right">
                        <p style="color: navajowhite"><strong style="color: red">Date of post
                            >>></strong> {{ post.pub_date }}</p></div>
                </div>
                <div class="card-footer" style="background-color: #7f7f7f">
                    <small style="color: navajowhite"><b>Tags: {{ post.tags }}</b></small>
                    &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                    &nbsp
                    &nbsp &nbsp
                    &nbsp
                    &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                    &nbsp
                    &nbsp &nbsp
                    &nbsp
                    &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp
                    <a class="btn btn-primary" href="#" role="button"
                       style="background-color: navajowhite;color: red;
                                            text-shadow: 1px 1px blue">Read</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}